Class UmlBaseExtraClassMember

Manage the 'extra' class members to produce any code, for instance a C++ pre-processing form or a Java initialization

Declaration :

- C++ : class UmlBaseExtraClassMember : public UmlClassItem
- Java : abstract class UmlBaseExtraClassMember extends UmlClassItem

Directly inherited by : UmlExtraClassMember

Artifact : UmlBaseExtraClassMember

Operation create

returns a new extra class member named 'name' (the name may be empty)
created under the class 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlClass, in name : str) : UmlExtraClassMember, exceptions : RuntimeException
- C++ : public: static UmlExtraClassMember * create(UmlClass * parent, const char * name)
- Java : public static UmlExtraClassMember create(UmlClass parent, String name) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation isCppInline

returns TRUE if the extra member is managed as an inline operation in C++

Declaration :

- Uml : + isCppInline() : bool
- C++ : public: bool isCppInline()
- Java : public boolean isCppInline()

Operation set_isCppInline

to set if the extra member is managed as an inline operation in C++
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isCppInline(in y : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isCppInline(bool y)
- Java : public void set_isCppInline(boolean y) throws RuntimeException

Operation cppDef

returns the operation's definition in C++, notes that the declaration
is returned by the inherited ClassItemBase::CppDecl() operation

Declaration :

- Uml : + cppDef() : string
- C++ : public: const QCString & cppDef()
- Java : public String cppDef()

Operation set_CppDef

sets the operation's definition in C++, notes that the declaration
is set through the inherited ClassItemBase::set_CppDecl() operation
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppDef(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppDef(const char * s)
- Java : public void set_CppDef(String s) throws RuntimeException

Operation unload

to unload the object to free memory, it will be reloaded
automatically if needed. args unused

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

Attribute _cpp_inline

Declaration :

- Uml : - _cpp_inline : bool
- C++ : private: bool _cpp_inline
- Java : private boolean _cpp_inline

Attribute _cpp_def

Declaration :

- Uml : - _cpp_def : string
- C++ : private: QCString _cpp_def
- Java : private String _cpp_def

Operation UmlBaseExtraClassMember

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseExtraClassMember(in id : item_id, in n : string) :
- C++ : protected: UmlBaseExtraClassMember(void * id, const QCString & n) : UmlClassItem(id, n)
- Java : protected UmlBaseExtraClassMember(long id, String n)

Operation read_cpp_

internal, do NOT use it

Declaration :

- Uml : # read_cpp_() : void
- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

All public operations : apply , applyStereotype , children , childrenVisible , cppDecl , cppDef , create , defined_ , deleteIt , description , getIdentifier , identifier_ , idlDecl , isCppInline , isMarked , isToolRunning , isWritable , javaDecl , kind , kind , markedItems , moveAfter , name , parent , phpDecl , properties , propertyValue , pythonDecl , referencedBy , set_childrenVisible , set_CppDecl , set_CppDef , set_Description , set_IdlDecl , set_isCppInline , set_isMarked , set_JavaDecl , set_Name , set_PhpDecl , set_PropertyValue , set_PythonDecl , set_Stereotype , stereotype , supportFile , unload , unload , unload